#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-control-center
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	Utilities to configure the MATE desktop
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-glib-devel
BuildRequires	:	intltool
BuildRequires	:	itstool
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	mate-menus
BuildRequires	:	marco
BuildRequires	:	mate-common
BuildRequires	:	mate-settings-daemon
BuildRequires	:	mate-desktop
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXScrnSaver
BuildRequires	:	yelp-tools

Requires(post)	:	%{_bindir}/update-mime-database
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
This package contains configuration utilities for the MATE desktop,
which allow to configure accessibility options, desktop fonts, keyboard
and mouse properties, sound setup, desktop theme and background, user
interface properties, screen resolution, and other settings.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/menus/%{shortname}cc.menu
%{_bindir}/%{name}
%{_bindir}/%{shortname}-*-properties
%{_bindir}/%{shortname}-typing-monitor
%{_bindir}/%{shortname}-about-me
%{_bindir}/%{shortname}-font-viewer
%{_bindir}/%{shortname}-thumbnail-font
%{_bindir}/%{shortname}-time-admin
%{_includedir}/%{shortname}-window-settings-2.0/%{shortname}-*.h
%{_includedir}/lib%{shortname}-slab/*.h
%{_includedir}/lib%{shortname}-slab/nld-marshal.c
%{_sbindir}/%{shortname}-display-properties-install-systemwide
%{_libdir}/lib%{shortname}-slab.{la,so*}
%{_libdir}/window-manager-settings/libmarco.so
%{_libdir}/libmate-window-settings.so*
%{_libdir}/pkgconfig/%{shortname}-*.pc
%{_datadir}/glib-2.0/schemas/org.%{shortname}.*.gschema.xml
%{_datadir}/applications/%{shortname}-*.desktop
%{_datadir}/applications/%{shortname}cc.desktop
%{_datadir}/help/*/%{name}/*.{docbook,xml}
%{_datadir}/icons/hicolor/*/categories/instant-messaging.png
%{_datadir}/icons/hicolor/*/apps/%{shortname}-*.png
%{_datadir}/icons/hicolor/scalable/apps/%{shortname}-*.svg
%{_datadir}/polkit-1/actions/org.%{shortname}.*.policy
%{_datadir}/%{name}/pixmaps/*.{png,svg}
%{_datadir}/%{shortname}-time-admin/map/*
%{_datadir}/%{name}/keybindings/*.xml
%{_datadir}/desktop-directories/%{shortname}cc.directory
%{_datadir}/mime/*
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_mandir}/man1/%{shortname}-*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/update-mime-database -n %{_datadir}/mime
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor  2> /dev/null
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor &> /dev/null
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  %{_bindir}/update-mime-database -n %{_datadir}/mime
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-update-mimedb				\
	--disable-static				\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#we should not have a installed mimeinfo.cache
%{__rm} -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
